SalesbeatPublicShipping = {
    init: function () {
        const shipping = document.querySelector('[data-shipping-init]');
        const params = {
            name: shipping.dataset.name || '',
            token: shipping.dataset.token || '',
            city_code: shipping.dataset.cityCode || '',
            products: shipping.dataset.products || []
        };

        let button = document.querySelector('.sb-reshow-cart-widget');
        if (button) {
            button.addEventListener('click', (e) => {
                e.preventDefault();

                this.initShipping(params);
            });
        } else {
            this.initShipping(params);
        }
    },
    initShipping: function (params) {
        this.params = params;

        this.elementBlock = document.querySelector('#sb-cart-widget');
        this.elementResultBlock = document.querySelector('#sb-cart-widget-result');

        this.shippingBlock = this.elementBlock.closest('li');
        this.shippingMethodInput = this.shippingBlock.querySelector('input');

        if (this.elementBlock !== null)
            this.loadWidget();
    },
    loadWidget: function () {
        const me = this;

        SB.init_cart({
            token: this.params.token || '',
            city_code: this.params.city_code || '',
            products: this.params.products || [],
            callback: function (data) {
                data['action'] = 'sbCallBack';
                data['delivery_id'] = me.params.name;

                jQuery.post('/wp-admin/admin-ajax.php', data)
                    .done((res) => {
                        me.callbackWidget(res);
                        me.checkedMethodDelivery();
                    })
                    .fail((err) => {
                        console.log(err);
                    });
            }
        });

        this.clearResultBlock();
    },
    callbackWidget: function (data) {
        const me = this;

        let button = this.elementResultBlock.querySelector('.sb-reshow-cart-widget');
        if (!button) return false;

        button.addEventListener('click', (e) => {
            e.preventDefault();

            me.reshowCardWidget();
        });
    },
    reshowCardWidget: function () {
        SB.reinit_cart(true);
        this.clearResultBlock();
    },
    clearResultBlock: function () {
        this.elementResultBlock.innerHTML = '';
    },
    checkedMethodDelivery: function () {
        if (this.shippingMethodInput.type === 'hidden') {
            jQuery(document.body).trigger('wc_update_cart');
            jQuery(document.body).trigger('update_checkout');
        } else if (this.shippingMethodInput.type === 'radio') {
            this.shippingMethodInput.checked = false;
            this.shippingMethodInput.click();
        }
    }
};

document.addEventListener('DOMContentLoaded', (e) => {
    SalesbeatPublicShipping.init();

    const send = XMLHttpRequest.prototype.send
    XMLHttpRequest.prototype.send = function () {
        this.addEventListener('load', () => {
            const objUrl = SalesbeatTools.parseURL(this.responseURL);
            if (objUrl.search === '?wc-ajax=update_shipping_method' ||
                objUrl.search === '?wc-ajax=get_refreshed_fragments' ||
                objUrl.search === '?wc-ajax=update_order_review'
            )
                SalesbeatPublicShipping.init();
        });

        return send.apply(this, arguments);
    }
});